<solidify-empty-container (keydown.escape)="isEdit ? backToDetail() : backToList()"
                          *ngIf="!isManageAcl"
>
  <div class="toolbar-wrapper-with-role">
    <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                    (backToDetailChange)="backToDetail()"
                                    (editChange)="edit()"
                                    [currentModel]="currentObs | async"
                                    [deleteAvailable]="deleteAvailable"
                                    [editAvailable]="currentUserIsManagerObs | async | isTrue"
                                    [formPresentational]="formPresentational"
                                    [mode]="isEdit ? 'edit' : 'detail'"
                                    [solidifyFocusFirstElement]="true"
    >
    </solidify-button-toolbar-detail>
    <dlcm-shared-resource-role-member-container *ngIf="(currentObs | async) as organizationalUnit"
                                                [resource]="organizationalUnit"
                                                [mode]="sharedResourceRoleMemberContainerMode.organizationalUnit"
                                                class="role"
    ></dlcm-shared-resource-role-member-container>
  </div>


  <div [solidifySpinner]="!isTour && (isLoadingWithDependencyObs | async)"
       class="wrapper"
  >
    <dlcm-preservation-space-organizational-unit-form #formPresentational
                                                      *ngIf="isTour || (isReadyToBeDisplayedObs | async)"
                                                      [defaultPlatformLicenseId]="(systemPropertyObs | async)?.defaultLicense"
                                                      (checkAvailableChange)="checkAvailable($event)"
                                                      (dirtyChange)="updateCanDeactivate($event)"
                                                      (editChange)="edit()"
                                                      (navigate)="navigate($event)"
                                                      (navigateWithQueryParam)="navigateWithQueryParam($event)"
                                                      (requestToBeMemberChange)="requestToBeMember()"
                                                      (leaveOrganizationalUnitChange)="leaveOrganizationalUnit()"
                                                      (seeArchiveChange)="seeArchive($event)"
                                                      (submitChange)="update($event)"
                                                      [editAvailable]="editAvailable"
                                                      [isManager]="isTour || (currentUserIsManagerObs | async)"
                                                      [isMemberOrgUnit]="isTour || (currentUserIsMemberOrgUnitObs | async)"
                                                      [isTour]="isTour"
                                                      [listRole]="listRoleObs | async"
                                                      [listPreservationPolicies]="listPreservationPoliciesObs | async"
                                                      [listSubmissionPolicies]="listSubmissionPoliciesObs | async"
                                                      [listDisseminationPolicies]="listDisseminationPoliciesObs | async"
                                                      [model]="currentObs | async"
                                                      [readonly]="!isEdit"
                                                      [subjectDomainSources]="subjectAreaSourcesObs | async"
                                                      [selectedDisseminationPolicies]="selectedDisseminationPoliciesObs | async"
                                                      [selectedPreservationPolicies]="selectedPreservationPoliciesObs | async"
                                                      [inheritedSelectedPersonRole]="listInheritedPersonRolesObs | async"
                                                      [selectedSubmissionPolicies]="selectedSubmissionPoliciesObs | async"
                                                      [selectedInstitutions]="selectedInstitutionObs | async"
                                                      [selectedSubjectAreas]="selectedSubjectAreasObs | async"
                                                      [selectedPersonRole]="selectedPersonRoleObs | async"
                                                      [urlQueryParameters]="urlQueryParameters"
                                                      [canLeaveOrganizationalUnit]="canLeaveOrganizationalUnit"
    >
    </dlcm-preservation-space-organizational-unit-form>
  </div>
</solidify-empty-container>

<router-outlet></router-outlet>
